Bug 610823 - debug repositories should be in /etc/mock/*.cfg
Summary: debug repositories should be in /etc/mock/*.cfg
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mock   
(Show other bugs)
Version: 15
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 14:14 UTC by Jan Kratochvil
Modified: 2013-01-10 06:03 UTC (History)
5 users (show)

Fixed In Version: mock-1.1.26-1.fc18.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 20:18:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kratochvil 2010-07-02 14:14:44 UTC
Description of problem:
When used mock not just for --rebuild but even for --shell I miss the debuginfo repositories, one has to add them for each distro by hand.

Version-Release number of selected component (if applicable):
mock-1.1.1-1.fc13.noarch

How reproducible:
Always.

Steps to Reproduce:
# mock -r fedora-13-i386 --shell
mock-chroot> debuginfo-install bash
mock-chroot> exit
+
# debuginfo-install --root=/var/lib/mock/fedora-13-i386/root bash

Actual results:
Could not find debuginfo for main pkg: bash-4.1.7-1.fc13.i686
Could not find debuginfo pkg for dependency package glibc-2.12-2.i686
No debuginfo packages available to install
+
Usage:
[...]
Command line error: no such option: --root

Expected results:
Installed debuginfo inside chroot.
+
Installed debuginfo in /var/lib/mock/fedora-13-i386/root.

Additional info:
For the second case `debuginfo-install --help' says:
    --installroot=[path]
                        set install root
But it does not work.

Comment 1 Fedora Admin XMLRPC Client 2011-03-11 18:10:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Bug Zapper 2011-06-01 14:56:34 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jan Kratochvil 2011-06-09 02:09:36 UTC
Still a valid problem in:
mock-1.1.10-1.fc14.noarch

Comment 4 Clark Williams 2011-10-13 19:28:29 UTC
Jan,

Just getting around to this one. So what you'd like is a [debuginfo] stanza in the yum config for each chroot config file? What would be the baseurl value for the stanza?

Comment 5 Jan Kratochvil 2011-10-13 21:02:48 UTC
Hi Clark, for example for F-16.x86_64 I have here:

[fedora-debuginfo]
name=Fedora 16 - x86_64 - Debug
failovermethod=priority
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-16&arch=x86_64

[updates-debuginfo]
name=Fedora 16 - x86_64 - Updates - Debug
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-released-debug-f16&arch=x86_64

[updates-testing-debuginfo]
name=Fedora 16 - x86_64 - Updates - Debug
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-testing-debug-f16&arch=x86_64

Comment 6 Clark Williams 2011-11-02 16:23:19 UTC
Added [debug] stanza's to all mock chroots. Should be available in 1.1.18

Comment 7 Clark Williams 2011-11-02 16:24:03 UTC
that should be configs, not chroots. All the debug stanza's are disabled by default.

Comment 8 Fedora Update System 2011-11-27 23:54:16 UTC
mock-1.1.18-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.el6

Comment 9 Fedora Update System 2011-11-27 23:54:52 UTC
mock-1.1.18-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc15

Comment 10 Fedora Update System 2011-11-27 23:55:20 UTC
mock-1.0.25-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.25-1.el5

Comment 11 Fedora Update System 2011-11-27 23:55:47 UTC
mock-1.1.18-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc14

Comment 12 Fedora Update System 2011-11-27 23:56:13 UTC
mock-1.1.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc16

Comment 13 Fedora Update System 2011-11-28 19:27:42 UTC
Package mock-1.0.25-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.0.25-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5097/mock-1.0.25-1.el5
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-12-10 19:52:50 UTC
mock-1.1.18-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-12-10 19:57:21 UTC
mock-1.1.18-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-12-10 20:06:27 UTC
mock-1.1.18-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-12-13 19:56:51 UTC
mock-1.1.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-12-13 19:57:26 UTC
mock-1.0.25-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Orion Poplawski 2012-02-08 18:47:04 UTC
How does one actually install debuginfo packages into the chroot?

Comment 20 Jan Kratochvil 2012-02-08 19:22:33 UTC
mock -r XXX --shell
yum install '*-debuginfo'

As long as one is lucky and the host and guest rpm versions are compatible.

Comment 21 Orion Poplawski 2012-02-08 20:41:36 UTC
No luck for me:
# yum install mpich2-debuginfo
Error: Nothing to do

Comment 22 Jan Kratochvil 2012-02-08 21:10:33 UTC
It is true it is not compatible with yum-utils debuginfo-install.

The repositories should be called *-debuginfo.
The repositories are patched by this Bug as *-debug only.

After renaming them it works:

mock -r fedora-16-x86_64 --install yum-utils
mock -r fedora-16-x86_64 --shell
> debuginfo-install bash

It currently can be workarounded by:
> yum --enablerepo='*-debug*' install bash-debuginfo
which is easier than it was before but it is still not perfect.


Another issue is that one needs host and guest rpm formats to be compatible.
There is no debuginfo-install provided by mock itself from the host.
But IMO this is unrelated bug, IMO mock should always use the guest rpm, only using some known tricks for converting the format at the end of --init.

Comment 23 Fedora End Of Life 2012-08-07 20:18:48 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 24 Jan Kratochvil 2012-08-08 15:15:28 UTC
Not sure when it got fixed but it is fixed in:
mock-1.1.26-1.fc18.noarch


Note You need to log in before you can comment on or make changes to this bug.